--\i create_docrasxod.sql
--ALTER TABLE deficit add body int4;
--create unique index deficit_body_key on deficit using btree (body int4_ops);
--create index document_typeflag_key on document using btree (type,flag);
--create index document_number_key on document using btree (number int4_ops);
--\i create_permission.sql
--COMMENT ON TABLE class IS '  ';
--drop table supplier;
--drop SEQUENCE supplier_id_seq ;
--drop table recipient;
--drop SEQUENCE recipient_id_seq ;
--\i create_agent.sql
--alter table docmore rename to docmoreold;
--\i create_docmore.sql
--insert into docmore select id,docdef,doczay,recipient,passwd,target from docmoreold;
--drop table docmoreold;
--\i create_register.sql
--\i create_file.sql
--COMMENT ON TABLE body IS '  ()';
--drop table complect;
--drop table demand;
--drop table docset;
--drop table documentplan;
--drop table ordertype;
--drop table plan;
--drop table planclass;
--drop table porder;
--drop table settingup;
--drop sequence complect_id_seq;
--drop sequence demand_id_seq;
--drop sequence ordertype_id_seq;
--drop sequence plan_id_seq;
--drop sequence planclass_id_seq;
--drop sequence porder_document_seq;
--drop sequence porder_id_seq;
--drop sequence settingup_id_seq;
--COMMENT ON TABLE preserve is '      ';
--CREATE SEQUENCE reclam_seq;
--COMMENT ON SEQUENCE reclam_seq IS '   ';
--create index document_insdate_key on document using btree (insdate int8_ops);
--\i create_ls_register.sql
--\i create_menus.sql 
--\i create_docisp.sql
--ALTER TABLE deficit add isp character(2);
--ALTER TABLE presence add isp character(2);
--ALTER TABLE body add isp character(2);
--ALTER TABLE preserve add isp character(2);
--UPDATE passwd set login=id where login is null or login='';
--create unique index passwd_lp_key on passwd using btree (login,passwd,deleted);
--drop index presence_product_key;
--CREATE UNIQUE INDEX presence_productisp_key on presence using btree (product, isp);
--DELETE from presence where product not in (select id from product);
--ALTER TABLE presence add constraint presence_product foreign key(product) references product(id) on delete cascade on update cascade;
--ALTER TABLE presence ALTER qty set default 0;
--ALTER TABLE presence ALTER price set default 0;
--create index preserve_product_key on preserve using btree (product int4_ops);
--\i rulez.sql
--insert into document(type,flag,operator,note) values(5,1,0,'  ');
--insert into ls_document(id,name,title,color) values(7,'',' ','grey');
--insert into ls_document_stage(type,flag,name,short,color,protected,permission,dgroup)
-- values(7,1,' ','','',true,231,true);
--\i create_serialnum.sql
--\i c_ls_document.sql
--CREATE SEQUENCE spis_seq;
--COMMENT ON SEQUENCE spis_seq IS '   ';
--DROP SEQUENCE menus_id_seq;
--DROP TABLE menus;
--create index product_class_key on product using btree (class int4_ops);
--DROP TABLE docset;
--DROP TABLE complect;
--DROP SEQUENCE complect_id_seq;
--DROP TABLE planclass;
--DROP SEQUENCE planclass_id_seq;
--DROP SEQUENCE subclass_id_seq;
--COMMENT ON TABLE ls_deficit is ' ';
--COMMENT ON TABLE measure is ' ';
--COMMENT ON TABLE presence is '  ';
--COMMENT ON TABLE class IS '  ';
--COMMENT ON TABLE documentlink IS '  - ';
--UPDATE document set operator=999999 where type=5 and flag=1;
--COMMENT ON TABLE docmore IS '.  (, )';
UPDATE product set name=translate(name,'\\\\','') where name ~ '\\\\"';
UPDATE class set name=translate(name,'\\\\','') where name ~ '\\\\"';
UPDATE agent set name=translate(name,'\\\\','') where name ~ '\\\\"';
--\i c_bodycomment.sql
--\i c_temporalbody.sql
--drop table temporalbody;
--select r.name,p.qty,d.number,d.id,d.type,d.flag from preserve p,product r,document d,body b where p.id=4 and p.qty>0 and p.product=r.id and b.id=p.body and b.document=d.id;
--\i c_ls_razdel.sql
--select 'document',count(*) from document where deleted union select 'body',count(*) from body where deleted or document in (select id from document where deleted) union select 'preserve',count(*) from preserve where id in (select id from document where deleted) union select 'deficit',count(*) from deficit where id in (select id from document where deleted);
--\i c_bodymore.sql
--delete from document where type=4 and flag=2 and id>10;
--insert into bodymore(id,operator,insdate,comment) select c.id,c.operator,c.insdate,
--c.comment from bodycomment c,body b where c.id=b.id and b.document=(select
--id from document where type=4 and flag=2);

drop index bodycomment_id_key;
drop table bodycomment;

alter table spec add pos integer;
alter table moving add qtyl real;
create index register_product_key on register using btree (product int4_ops);
alter table file add isp character(2);
alter table register add isp character(2);
update spec set is_complect=false where is_complect is null;

\i c_ls_document_stage.sql
\i c_stage_route.sql
\i c_ls_permission.sql
\i c_config.sql

insert into permission select passwd,133 from permission where lsperm=94;
insert into permission select passwd,134 from permission where lsperm=94;
insert into permission select passwd,135 from permission where lsperm=94;

delete from document where id in (3488,6735);
delete from body where document in (3488,6735);

--ALTER TABLE docmore RENAME recipient to register;
--ALTER TABLE docmore ADD recipient int4;

ALTER TABLE agent ADD parent integer;
ALTER TABLE agent ADD barren bool;
ALTER TABLE agent ALTER barren set default false;
ALTER TABLE agent ADD supplier bool;
ALTER TABLE agent ALTER supplier set default false;
ALTER TABLE agent ADD cond integer[];
create index agent_parent_key on agent using btree (parent);
create index agent_recipient_key on agent using btree (recipient bool_ops);
create index agent_supplier_key on agent using btree (supplier bool_ops);
drop view supplier;
create view supplier as select id,insdate,name,tel,city,address,data,parent,barren,cond from agent
 where supplier and not deleted;
grant select on supplier to customer;
drop view recipient;
create view recipient as select id,insdate,name,tel,city,address,data,parent,barren,cond from agent
 where recipient and not deleted;
grant select on recipient to customer;
update agent set supplier=true where recipient=false;
update agent set barren=false where barren is null;
update agent set supplier=false where supplier is null;
 