drop sequence agent_id_seq;
drop index agent_deleted_key;
drop index agent_id_key;
drop table agent;
create table agent
(
    id		serial			--  
   ,insdate	int8			--  
   ,name	text			-- 
   ,tel		text			-- ()
   ,city	text			-- 
   ,address	text			-- 
   ,data	text			-- .
   ,parent	integer			-- >0 =  
   ,barren	bool default false	--     .
   ,recipient	bool default false	-- true = 
   ,supplier	bool default false	-- true = 
   ,deleted	bool default false	-- true = 
   ,cond	integer[]		-- 
);
COMMENT ON TABLE agent is '  ';
create index agent_deleted_key on agent using btree (deleted bool_ops);
create index agent_parent_key on agent using btree (parent);
create index agent_recipient_key on agent using btree (recipient bool_ops);
create index agent_supplier_key on agent using btree (supplier bool_ops);
--create index agent__key on agent using btree ( bool_ops);
grant select on agent to customer;

drop view supplier;
create view supplier as select id,insdate,name,tel,city,address,data,parent,barren,cond from agent
 where supplier and not deleted;
grant select on supplier to customer;

drop view recipient;
create view recipient as select id,insdate,name,tel,city,address,data,parent,barren,cond from agent
 where recipient and not deleted;
grant select on recipient to customer;

insert into agent(insdate,name,tel,city,address,supplier,recipient)
 values(967387502,'----','---','---','---',true,true);
insert into agent(insdate,name,tel,city,address,supplier,recipient)
 values(969806530,', ','999-9999','','',true,true);
insert into agent(insdate,name,tel,city,address,supplier)
 values(971283792,', ','888-777','','',true);
insert into agent(insdate,name,tel,city,address,supplier)
 values(981283792,', ','8-095-102-93-84','','',true);
insert into agent(insdate,name,supplier)
 values(0,' ',true);

insert into agent(insdate,name,tel,city,address,recipient)
 values(966361861,'1000 , ','','','',true);
insert into agent(insdate,name,tel,city,address,recipient)
 values(975391731,' , ','','','',true);
