drop sequence class_id_seq;
drop index class_deleted_key;
drop index class_id_key;
drop table class;
create table class
(
    id		serial,
    super	int4,
    name	text,
    deleted	bool default false,
    noclass	bool default false,
    noproduct	bool default false
);
COMMENT ON TABLE class IS '  ';
create index class_deleted_key on class using btree (deleted bool_ops);
grant select on class to customer;
