drop index deficit_id_key;
drop index deficit_body_key;
drop index deficit_idpr_key;
drop table deficit;
create table deficit
(
    id		int4,			-- document.id
    product	int4,			-- product.id
    isp         character(2),           -- 
    qty		float4,			-- -
    reserve	float4 default 0,	--    qty
    insdate	int8,			--  
    body	int4			-- body.id
);
COMMENT ON TABLE deficit IS '     ';
create index deficit_id_key on deficit using btree (id int4_ops);
create unique index deficit_body_key on deficit using btree (body int4_ops);
create index deficit_idpr_key on deficit using btree (id,product);
grant select on deficit to customer;
