drop index documentlink1_key;
drop index documentlink2_key;
drop table documentlink;
create table documentlink
(
    document1	int4,
    document2	int4,
    operator	int4,
    insdate	int8,			--  
    product	int4,
    qty		float4,			-- -
    sum		numeric(9,2)
);
create index documentlink1_key on documentlink using btree (document1 int4_ops);
create index documentlink2_key on documentlink using btree (document2 int4_ops);
grant select on documentlink to customer;
COMMENT ON TABLE documentlink IS '  - ';
