drop index preserve_id_key;
drop index preserve_body_key;
drop table preserve;
create table preserve
(
    insdate	int8,			--  
    id		int4,			-- document.id
    product	int4,			-- product.id
    isp         character(2),           -- 
    qty		float4,			-- -
    checked	bool default false,
    body	int4
);
COMMENT ON TABLE preserve is '      ';
create index preserve_id_key on preserve using btree (id int4_ops);
create index preserve_product_key on preserve using btree (product int4_ops);
CREATE UNIQUE INDEX preserve_body_key on preserve using btree (body int4_ops);
grant select on preserve to customer;
