drop index serialnum_deleted_key;
drop index serialnum_id_key;
drop index serialnum_product_key;
drop index serialnum_numbers_key;
drop table serialnum;
drop sequence serialnum_id_seq;
create table serialnum
(
    id		serial,
    product	int4,			-- product.id - 
    isp		character(2),		--  
    serialnum	text,			--  
    invnum	text,			--  
    body	int4,			-- body.id
    note	text,			-- 
    deleted     bool default false	-- 
);

COMMENT ON TABLE serialnum is '   ';
create index serialnum_deleted_key on serialnum using btree (deleted bool_ops);
create index serialnum_product_key on serialnum using btree (product int4_ops);
create unique index serialnum_numbers_key on serialnum using btree (serialnum,invnum);
grant select on serialnum to customer;
