// JS Folder Tree script
// $Id: javascript.php,v 1.3 2002/10/07 16:56:14 cds Exp $

function Folder(folderDescription, hreference)
{
 this.desc       = folderDescription
 this.hreference = hreference
 this.id         = -1
 this.navObj     = 0
 this.iconImg    = 0
 this.nodeImg    = 0
 this.isLastNode = 0

 this.isOpen     = true

 if (hreference==NewHref)
  this.iconSrc = "<?=$smalllogo?>"
 else
  this.iconSrc = "img/ftv2folderopen.gif"

 this.nodeSrc    = "img/ftv2pnode.gif"
 this.children   = new Array
 this.nChildren  = 0

 // 
 this.initialize = initializeFolder
 this.setState   = setStateFolder
 this.addChild   = addChild
 this.createIndex= createEntryIndex
 this.hide       = hideFolder
 this.display    = display
 this.renderOb   = drawFolder
 this.totalHeight= totalHeight
 this.subEntries = folderSubEntries
 this.outputLink = outputFolderLink
}

function setStateFolder(isOpen)
{
 var subEntries
 var totalHeight
 var fIt = 0
 var i   = 0

 if (isOpen==this.isOpen)
  return

 if (nn4) {
  totalHeight = 0
  for (i=0; i < this.nChildren; i++)
   totalHeight = totalHeight + this.children[i].navObj.clip.height
   subEntries = this.subEntries()
  if (this.isOpen)
   totalHeight = 0 - totalHeight
  for (fIt = this.id + subEntries + 1; fIt < nEntries; fIt++)
   indexOfEntries[fIt].navObj.moveBy(0, totalHeight)
 }
 this.isOpen = isOpen
 propagateChangesInState(this)
}

function propagateChangesInState(folder)
{
 var i=0

 if (folder.isOpen) {
  if (folder.nodeImg) {
   if (folder.isLastNode)
    folder.nodeImg.src = "img/ftv2mlastnode.gif"
   else
    folder.nodeImg.src = "img/ftv2mnode.gif"
  }
  if (folder.iconImg) {
   if(folder.hreference == NewHref)
    folder.iconImg.src = "<?=$smalllogo?>"
   else
    folder.iconImg.src = "img/ftv2folderopen.gif"
  }
  for (i=0; i<folder.nChildren; i++)
    folder.children[i].display()

 } else {
 
  if (folder.nodeImg) {
   if (folder.isLastNode)
    folder.nodeImg.src = "img/ftv2plastnode.gif"
   else
    folder.nodeImg.src = "img/ftv2pnode.gif"
  }
  if (folder.iconImg) {
   if(folder.hreference==NewHref)
    folder.iconImg.src = "<?=$smalllogo?>"
   else
    folder.iconImg.src = "img/ftv2folderclosed.gif"
  }
  for (i=0; i<folder.nChildren; i++)
    folder.children[i].hide()
 }
}

function hideFolder()
{
 if (ie4 || dom) {
  if (this.navObj.style.display=="none")
   return
  this.navObj.style.display = "none"
 } else
  if (nn4) {
   if (this.navObj.visibility=="hidden")
    return
   this.navObj.visibility = "hidden"
  }
 
 this.setState(0)
}

function initializeFolder(level, lastNode, leftSide)
{
 var j=0
 var i=0
 var numberOfFolders
 var numberOfDocs
 var nc

 nc = this.nChildren
 
 this.createIndex()
 
 var auxEv = ""
 
 if (any)
  auxEv = "<a href='javascript:clickOnNode("+this.id+")'>"
 else
  auxEv = "<a>"
 
 if (level>0)
  if (lastNode) { //the last 'brother' in the children array
   this.renderOb(leftSide + auxEv + "<img name='nodeIcon" + this.id + "' src='img/ftv2mlastnode.gif' width=16 height=22 border=0></a>")
   leftSide = leftSide + "<img src='img/ftv2blank.gif' width=16 height=22>"
   this.isLastNode = 1
  } else {
   this.renderOb(leftSide + auxEv + "<img name='nodeIcon" + this.id + "' src='img/ftv2mnode.gif' width=16 height=22 border=0></a>")
   leftSide = leftSide + "<img src='img/ftv2vertline.gif' width=16 height=22>"
   this.isLastNode = 0
  } else
   this.renderOb("")
 
 if (nc > 0)
 {
  level = level + 1
  for (i=0 ; i < this.nChildren; i++)
  {
    if (i == this.nChildren-1)
      this.children[i].initialize(level, 1, leftSide)
    else
      this.children[i].initialize(level, 0, leftSide)
    }
 }
}

function drawFolder(leftSide)
{
  if (nn4) {
    if (!doc.yPos)
      doc.yPos=8
    doc.write("<layer id='folder" + this.id + "' top=" + doc.yPos + " visibility=hidden>")
  }

  doc.write("<table ")

  if (ie4 || dom)
    doc.write(" id='folder" + this.id + "' style='position:block;' ")

  doc.write(" border=0 cellspacing=0 cellpadding=0><tr><td>")
  doc.write(leftSide)
  if(this.hreference == NewHref) {
    doc.write("<a href=\"\" TARGET=_top ")
    if (any)
      doc.write("onClick='javascript:clickOnFolder("+this.id+")'")
    doc.write(">")
  } else
    this.outputLink()
  doc.write("<img name='folderIcon" + this.id + "' ")
  doc.write("src='" + this.iconSrc+"' border=0></a>")
  doc.write("</td><td valign=middle nowrap>")
  if (USETEXTLINKS) {
    this.outputLink()
    doc.write(this.desc + "</a>")
  } else
   doc.write(this.desc)
  doc.write("</td></table>")

  if (nn4) {
    doc.write("</layer>")
  }

  if (ie4) {
    this.navObj = doc.all["folder"+this.id]
    this.iconImg = doc.all["folderIcon"+this.id]
    this.nodeImg = doc.all["nodeIcon"+this.id]
  } else
   if (nn4) {
    this.navObj = doc.layers["folder"+this.id]
    this.iconImg = this.navObj.document.images["folderIcon"+this.id]
    this.nodeImg = this.navObj.document.images["nodeIcon"+this.id]
    doc.yPos=doc.yPos+this.navObj.clip.height
   } else
    if (dom) {
     this.navObj = document.getElementById("folder"+this.id)
     this.iconImg = document.getElementById("folderIcon"+this.id)
     this.nodeImg = document.getElementById("nodeIcon"+this.id)
//     this.iconSrc = this.iconImg.src
//     this.nodeSrc = this.nodeImg.src
    }
} 
 
function outputFolderLink()
{
 if (this.hreference) {
  doc.write("<a href='" + this.hreference + "' TARGET=\"" + TFRAME + "\" ")
  if (any)
   doc.write("onClick='javascript:clickOnFolder("+this.id+")'")
  doc.write(">")
 }
}

function addChild(childNode)
{
 this.children[this.nChildren] = childNode
 this.nChildren++
 return childNode
}

function folderSubEntries()
{
  var i = 0 
  var se = this.nChildren 
 
  for (i=0; i < this.nChildren; i++){ 
    if (this.children[i].children) //is a folder 
      se = se + this.children[i].subEntries() 
  } 
 
  return se 
} 
 
 
// Definition of class Item (a document or link inside a Folder) 
 
function Item(itemDescription, itemLink) // Constructor 
{ 
  // constant data 
  this.desc = itemDescription 
  this.link = itemLink 
  this.id = -1 //initialized in initalize() 
  this.navObj = 0 //initialized in render() 
  this.iconImg = 0 //initialized in render() 
  this.iconSrc = "img/ftv2doc.gif" 
 
  // methods 
  this.initialize = initializeItem 
  this.createIndex = createEntryIndex 
  this.hide = hideItem 
  this.display = display 
  this.renderOb = drawItem 
  this.totalHeight = totalHeight 
} 
 
function hideItem() 
{ 
 if (ie4 || dom) {
  if (this.navObj.style.display=="none")
   return
  this.navObj.style.display = "none" 
 } else
  if (nn4) {
   if (this.navObj.visibility=="hidden")
    return 
   this.navObj.visibility = "hidden"
  }
}

function initializeItem(level, lastNode, leftSide)
{
 this.createIndex()

 if (level>0)
  if (lastNode) { //the last 'brother' in the children array
   this.renderOb(leftSide + "<img src='img/ftv2lastnode.gif' width=16 height=22>")
   leftSide = leftSide + "<img src='img/ftv2blank.gif' width=16 height=22>"
  } else {
   this.renderOb(leftSide + "<img src='img/ftv2node.gif' width=16 height=22>")
   leftSide = leftSide + "<img src='img/ftv2vertline.gif' width=16 height=22>"
  }
 else
  this.renderOb("")
}

function drawItem(leftSide)
{
 if (nn4)
  doc.write("<layer id='item" + this.id + "' top=" + doc.yPos + " visibility=hidden>")
     
 doc.write("<table ")
 if (ie4 || dom)
  doc.write(" id='item" + this.id + "' style='position:block;' ")
 doc.write(" border=0 cellspacing=0 cellpadding=0><tr><td>")
 doc.write(leftSide)
 if (this.link)
  doc.write("<a href=" + this.link + ">") 
 doc.write("<img id='itemIcon"+this.id+"' src='"+this.iconSrc+"' border=0></a></td><td valign=middle nowrap>")
 if (USETEXTLINKS && this.link)
  doc.write("<a href=" + this.link + ">" + this.desc + "</a>")
 else
  doc.write(this.desc)
 doc.write("</table>")
   
 if (nn4)
  doc.write("</layer>")

 if (ie4) {
  this.navObj = doc.all["item"+this.id]
  this.iconImg = doc.all["itemIcon"+this.id]
 } else
  if (nn4) {
   this.navObj = doc.layers["item"+this.id]
   this.iconImg = this.navObj.document.images["itemIcon"+this.id]
   doc.yPos=doc.yPos+this.navObj.clip.height
  } else
   if (dom) {
    this.navObj = document.getElementById("item"+this.id)
    this.iconImg = document.getElementById("itemIcon"+this.id)
    this.iconSrc = this.iconImg.src
   }
}


// Methods common to both objects (pseudo-inheritance)

function display()
{
 if (ie4 || dom)
  this.navObj.style.display = "block"
 else
  if (nn4)
   this.navObj.visibility = "show"
}

function createEntryIndex()
{
 this.id = nEntries
 indexOfEntries[nEntries] = this
 nEntries++
}

// total height of subEntries open
function totalHeight() // NN4
{
 var h = this.navObj.clip.height
 var i = 0

 if (this.isOpen) //is a folder and _is_ open
  for (i=0 ; i < this.nChildren; i++)
   h = h + this.children[i].totalHeight()

 return h
}


// Events

function clickOnFolder(folderId)
{
  var clicked = indexOfEntries[folderId]

  if (!clicked.isOpen)
    clickOnNode(folderId)

  return

  if (clicked.isSelected)
    return
}

function clickOnNode(folderId)
{
//  var clickedFolder = 0
 var state = 0

 clickedFolder = indexOfEntries[folderId]
 state = clickedFolder.isOpen

 clickedFolder.setState(!state) //open<->close
}


// Auxiliary Functions for Folder-Treee backward compatibility

function gFld(description, hreference)
{
 folder = new Folder(description, hreference)
 return folder
}

function gLnk(target, description, linkData)
{
 fullLink = ""

 if (linkData)
  if (target==0)
   fullLink = "'"+linkData+"' target=\"" + TFRAME + "\""
  else
   fullLink = "'"+linkData+"' target=_blank"

 linkItem = new Item(description, fullLink)
 return linkItem
}

function insFld(parentFolder, childFolder)
{
 return parentFolder.addChild(childFolder)
}

function insDoc(parentFolder, document)
{
 parentFolder.addChild(document)
}


function runtree()
{
 f0.initialize(0, 1, "")
 f0.display()

 if (nn4 || dom || ie4) {
//  doc.write("<layer top="+indexOfEntries[nEntries-1].navObj.top+">&nbsp;</layer>"

  clickOnNode(0)
  clickOnNode(0)
 }
}

<?
jsbrowserdetect();
?>
