drop sequence body_id_seq;
drop index body_deleted_key;
drop index body_document_key;
drop index body_id_key;
drop table body;
create table body
(
    id		serial,
    insdate	int8,		--  
    product	int4,		--  (product.id)
    isp         character(2),	-- 
    price	numeric(9,2),	--  ()
    qty		float4,		-- -
    qtyr	float4,		-- -  (    ),  /  "  "
    sum		numeric(9,2),	-- 
    document	int4,		--  - (document.id)
    supplier	int4,		--   ,   
    result	int4 default 0,	--  -   (ls_result),  -  ""
    razdel	int4,		--  (ls_razdel) ( ,   razdel<0,  ls_register,  razdel>0,  passwd)
    deleted     bool default false
);
COMMENT ON TABLE body IS '  ()';
create index body_deleted_key on body using btree (deleted bool_ops);
create index body_document_key on body using btree (document int4_ops);
grant select on body to customer;
