drop sequence config_id_seq;
drop index config_id_key;
drop table config;
create table config
(
    id          serial
   ,file        text not null           -- ,   
   ,comment     text                    -- 
   ,var         text                    -- 
   ,val         text                    --  
);
comment on table config is '    ';
grant select on config to customer;

insert into config(file,comment)
values('config.php','  (login, passwd etc)     passwd_operator.php');

insert into config(file,comment,var,val)
values('config.php','    body','$bodytext','"text=#072a38"');
insert into config(file,var,val)
values('config.php','$bodybgcolor','"bgcolor=#dee7ea"');
insert into config(file,var,val)
values('config.php','$bodylink','"link=#0088aa"');
insert into config(file,var,val)
values('config.php','$bodyvlink','"vlink=#115768"');
insert into config(file,var,val)
values('config.php','$bodyalink','"alink=#00b1dd"');

insert into config(file,comment,var,val)
values('config.php','   ','$menubgcolor','"bgcolor=#c0c0c0"');
insert into config(file,var,val)
values('config.php','$menutext','"text=black"');
insert into config(file,var,val)
values('config.php','$menunorm','"#c0c0c0"');
insert into config(file,var,val)
values('config.php','$menuhl','"#dee7ea"');

insert into config(file,comment,var,val)
values('config.php','  ()','$logofile','"img/logo.jpg"');
insert into config(file,var,val)
values('config.php','$logow','62; // ');
insert into config(file,var,val)
values('config.php','$logoh','60; // ');

insert into config(file,comment,var,val)
values('config.php','  (  )','$smalllogo','"img/logos.jpg"');

insert into config(file,comment,var,val)
values('config.php','      '
,'$biglogo','"img/logob.jpg"');

insert into config(file,comment,var,val)
values('config.php','  PostgreSQL (  )'
,'$pgbin','"/usr/bin"');

insert into config(file,comment,var,val)
values('config.php','   '
,'$callps','"ps w -u postgres"');

insert into config(file,comment,var,val)
values('config.php','  (- )  \n(    ., )'
,'$scatpagesize','50');

insert into config(file,comment,var,val)
values('config.php','       \n  showdocf.php, stock.php'
,'$polnyh','"select min(floor(p.qty/b.qty*d.qty*b.result)) from body b,"\n."preserve p,document d where b.document=d.id and p.id=d.id and"\n." d.id=polndoc and b.product=p.product and b.razdel<>13"');

insert into config(file,comment,var,val)
values('config.php',' ,      '
,'$registersepar','array(1)');

insert into config(file,comment,var,val)
values('config.php','    ','$backupdir','"backups"');

insert into config(file,comment,var)
values('config.php','  .xls  ,     HTML'
,'define("Globalxlsall",1);');
insert into config(file,comment,var)
values('config.php','    /    ""\n0 =     ( "")'
,'define("Globalnoteinname",1);');

insert into config(file,comment,var)
values('config.php','  CTYPE  SQL'
,'define("GlobalCtp",0);');
insert into config(file,comment,var)
values('config.php','  COLLATE  SQL'
,'define("GlobalCol",0);');

insert into config(file,var)
values('config.php'
,'define("GlobalDef",1);\t// /');
insert into config(file,var)
values('config.php','define("GlobalZay",1);\t// ');
insert into config(file,var)
values('config.php','define("GlobalSps",1);\t// ');
insert into config(file,var)
values('config.php','define("GlobalRek",1);\t// ');
insert into config(file,var)
values('config.php','define("GlobalIsp",1);\t// ');
insert into config(file,var)
values('config.php','define("GlobalWho",1);\t//  ');
insert into config(file,var)
values('config.php','define("GlobalRsx",1);\t//    /');
insert into config(file,var)
values('config.php','define("GlobalLk",1);\t//  ');
insert into config(file,var)
values('config.php','define("GlobalOtd",1);\t//  ');
insert into config(file,var)
values('config.php','define("GlobalRcp",0);\t//  -');


--------------------------------------------------------------------------

insert into config(file,comment)
values('passwd_operator.php','   .\n   config.php');

insert into config(file,comment,var,val)
values('passwd_operator.php','   postgreSQL','$db','"packhouse"');

insert into config(file,comment,var,val)
values('passwd_operator.php','PostgreSQL login & password','$login','"keeper"');
insert into config(file,var,val)
values('passwd_operator.php','$pwd','"qwerty"');

insert into config(file,comment,var,val)
values('passwd_operator.php',' ','$host','"localhost"');

insert into config(file,comment,var,val)
values('passwd_operator.php',' PostgreSQL (  pg_dump)'
,'$unixuser','"postgres"');

insert into config(file,comment,var,val)
values('passwd_operator.php',' UNIX socket'
,'$connect','"dbname=$db user=$login password=$pwd"');

insert into config(file,comment,var,val)
values('passwd_operator.php',' IP '
,'// $connect','"dbname=$db user=$login password=$pwd host=$host"');


--------------------------------------------------------------------------

insert into config(file,var,val)
values('menuconfig.php','$menus','array(array(-1,-1,\'\'), //  ');
insert into config(file,var)
values('menuconfig.php','array(0,0,""),');
insert into config(file,var)
values('menuconfig.php','array(0,0,""),');
insert into config(file,var)
values('menuconfig.php','array(0,0,""),');
insert into config(file,var)
values('menuconfig.php','array(0,0,""),');
insert into config(file,var)
values('menuconfig.php','array(0,0," "),');
insert into config(file,var)
values('menuconfig.php','array(0,0," "),');
insert into config(file,var)
values('menuconfig.php','array(0,0," "),');

insert into config(file,var)
values('menuconfig.php','\narray(1,0,"  ","storage.php"),');
insert into config(file,var)
values('menuconfig.php','array(1,0,"   ,     ","showdoc.php?type=3&flag=6"),');
insert into config(file,var)
values('menuconfig.php','array(1,0,"  ","showdoc.php?type=7&flag=1"),');
insert into config(file,var)
values('menuconfig.php','array(1,0,"  ","showdoc.php?type=7&flag=2"),');
insert into config(file,var)
values('menuconfig.php','array(1,0," ","showdoc.php?mydoc=1"),');

insert into config(file,var)
values('menuconfig.php','\narray(2,0,"  ","showdoc.php?type=1&flag=4"),');
insert into config(file,var)
values('menuconfig.php','array(2,0," ,    ","showdoc.php?type=1&flag=5"),');
insert into config(file,var)
values('menuconfig.php','array(2,0," ,    ","showdoc.php?type=1&flag=6"),');
insert into config(file,var)
values('menuconfig.php','array(2,0,"   ","showdoc.php?type=1&flag=7"),');
insert into config(file,var)
values('menuconfig.php','array(2,0,"   ","showdoc.php?type=1&flag=9"),');
insert into config(file,var)
values('menuconfig.php','array(2,0," ","showdoc.php?type=6&flag=1&dgroup=f"),');

insert into config(file,var)
values('menuconfig.php','\narray(3,0,"  ","makedoc.php?type=3"),');
insert into config(file,var)
values('menuconfig.php','array(3,0," ,   ","showdoc.php?type=3&flag=2"),');
insert into config(file,var)
values('menuconfig.php','array(3,0," ,    ","showdoc.php?type=3&flag=3"),');
insert into config(file,var)
values('menuconfig.php','array(3,0,"   ","showdoc.php?type=3&flag=4"),');
insert into config(file,var)
values('menuconfig.php','array(3,0," ,    ","showdoc.php?type=3&flag=5"),');
insert into config(file,var)
values('menuconfig.php','array(3,0,"   ","showdoc.php?type=3&flag=7"),');

insert into config(file,var)
values('menuconfig.php','\narray(4,0,"","operators.php"),');
insert into config(file,var)
values('menuconfig.php','array(4,0,"   ","names.php"),');

insert into config(file,var)
values('menuconfig.php','\narray(5,0,"  ","makedoc.php?type=2"),');
insert into config(file,var)
values('menuconfig.php','array(5,0,"    ","showdoc.php?type=2&flag=1"),');
insert into config(file,var)
values('menuconfig.php','array(5,0,"     ","showdoc.php?type=2&flag=2"),');
insert into config(file,var)
values('menuconfig.php','array(5,0,"  ","showdoc.php?type=2&flag=5"),');
insert into config(file,var)
values('menuconfig.php','array(5,0,"  ","showdoc.php?type=2&flag=3"),');
insert into config(file,var)
values('menuconfig.php','array(5,0,"  ","showdoc.php?type=2"),');
insert into config(file,var)
values('menuconfig.php','array(5,0,"  ","overall.php"),');

insert into config(file,var)
values('menuconfig.php','\narray(6,0,"   ","makedoc.php?type=1"),');
insert into config(file,var)
values('menuconfig.php','array(6,0," ,    ","showdoc.php?type=1&flag=2"),');
insert into config(file,var)
values('menuconfig.php','array(6,0," ,    ","showdoc.php?type=1&flag=3"),');
insert into config(file,var)
values('menuconfig.php','array(6,0," ,   ","showdoc.php?type=1&flag=4"),');
insert into config(file,var)
values('menuconfig.php','array(6,0," ","suppliers.php"),');
insert into config(file,var)
values('menuconfig.php','array(6,0," ","showdoc.php?type=6&flag=1"),');
insert into config(file,var)
values('menuconfig.php','array(6,0,"  ","showdoc.php?type=1&monitor=all"),');

insert into config(file,var)
values('menuconfig.php','\narray(7,0,"   ","makedoc.php?type=4"),');
insert into config(file,var)
values('menuconfig.php','array(7,0,"   ","showdoc.php?type=4&flag=2"),');
insert into config(file,var)
values('menuconfig.php','array(7,0,"    ","showdoc.php?type=4&flag=4"),');
insert into config(file,var)
values('menuconfig.php','array(7,0,"    ","showdoc.php?type=4&flag=3"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," ","showdoc.php?type=4&flag=5"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," ","file.php"),');
insert into config(file,var)
values('menuconfig.php','array(7,0,"  ","file.php?overall=all"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," .,   ","register.php?type=1"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," .,    1","register.php?type=2"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," .,    2","register.php?type=3"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," .,    3","register.php?type=4"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," .,    4","register.php?type=5"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," .,    5","register.php?type=6"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," .,    6","register.php?type=7"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," .,    7","register.php?type=8"),');
insert into config(file,var)
values('menuconfig.php','array(7,0," ","register.php?overall=all"));');
