drop sequence doc_id_seq;
drop index doc_id_key;
drop index doc_deleted_key;
drop index doc_closed_key;
drop index doc_type_key;
drop index doc_typeflag_key;
drop index doc_number_key;
drop index doc_insdate_key;
drop table docdef,doc;
create table doc
(
    id		serial
   ,type	int4		--  - (ls_doc.id)
   ,flag	int4		--   (ls_doc_stage.flag)
   ,operator	int4		-- ,   (passwd.id)
   ,operator2	int4		-- ,   ()
   ,number	int4		--   ()
   ,note	text		-- 
   ,closed	bool default false --  
   ,deleted     bool default false -- - 
   ,insdate	int8		--   -
   ,sum		decimal(9,2)	--   

);
COMMENT ON TABLE doc IS ' :  ';
create index doc_deleted_key on doc using btree (deleted bool_ops);
create index doc_closed_key on doc using btree (closed bool_ops);
create index doc_type_key on doc using btree (type int4_ops);
create index doc_typeflag_key on doc using btree (type,flag);
create index doc_number_key on doc using btree (number int4_ops);
create index doc_insdate_key on doc using btree (insdate int8_ops);

create table docdef
(
    carrydate	int8		--  /
   ,proddate    int8		--  
   ,closedate	int8		--   1
   ,closedate2	int8		--   2 ( )
   ,product	int4		-- product.id -   /
   ,qty		int4		-- - product
   ,recipient	int4		--  (recipient.id)
   ,categ	int4		--  (ls_deficit.id)
) inherits (doc);
COMMENT ON TABLE docdef IS ' :  ';

create table doczay
(
    carrydate	int8		--  /
   ,closedate	int8		--   1
   ,recipient	int4		--  (recipient.id)
   ,categ	int4		--  (ls_deficit.id)
) inherits (doc);
COMMENT ON TABLE doczay IS ' : ';


