drop sequence file_id_seq;
drop index file_id_key;
drop index file_productid_key;
drop table file;
create table file
(
    id		serial,
    passwd	int4 not null,		-- passwd.id
    product	int4 not null,		-- product.id
    qty		float4 not null,	-- -
    insdate	int8,			--  
    target	int4,			-- ls_target.id
    document	int4,			--   - (document.id)
    isp		character(2)		-- 
);
COMMENT ON TABLE file is ' ';
CREATE UNIQUE INDEX file_productid_key on file using btree (passwd,product);
--   ,     register
grant select on file to customer;
