drop table ls_document_stage;
create table ls_document_stage
(
    type        int4,           --  - (document.type)
    flag        int4,           --  (document.flag)
    name        text,           --  
    short       text,           -- 
    color       text,           --   HTML
    permission  int4 unique,    -- 
    protected   bool default true,-- - 
    dgroup      bool default true,--   ,   (false)
    preserve    bool,           -- true =  , false =   , null = 
    moving      bool default false,--     (moving.php)
    CONSTRAINT type_flag_dgroup PRIMARY KEY(type,flag,dgroup)
);
COMMENT ON TABLE ls_document_stage is ' ';
grant select on ls_document_stage to customer;

-- 
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(1,1,'','','',false,201);
insert into ls_document_stage(type,flag,name,short,color,protected,dgroup,permission)
values(1,2,'   ',' ','',false,false,202);
insert into ls_document_stage(type,flag,name,short,color,protected,dgroup,permission)
values(1,3,'   ',' .','',true,false,203);
insert into ls_document_stage(type,flag,name,short,color,protected,dgroup,permission)
values(1,4,'  ','.','',true,false,204);
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(1,5,'  ',' ','',false,205);
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(1,6,'   ',' ','',true,206);
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(1,7,'  ','  .','',false,207);
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(1,8,'    ',' ','',false,208);
insert into ls_document_stage(type,flag,name,short,color,protected,permission,moving)
values(1,9,'','','',true,209,true);

-- 
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(2,0,' ','','',false,212);
insert into ls_document_stage(type,flag,name,short,color,protected,permission,preserve,moving)
values(2,1,' ','','',false,213,true,true);
insert into ls_document_stage(type,flag,name,short,color,protected,permission,moving)
values(2,2,' ','','',false,214,true);
insert into ls_document_stage(type,flag,name,short,color,protected,permission,preserve,moving)
values(2,3,' ','','',true,216,false,true);
insert into ls_document_stage(type,flag,name,short,color,protected,permission,preserve)
values(2,5,' ','','',true,215,false);

-- 
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(3,1,'','','',false,222);
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(3,2,'   ','  .','',false,223);
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(3,3,'  ',' ','',false,224);
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(3,4,'  ','  .','',false,225);
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(3,5,'   ',' .','',true,226);
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(3,6,'    ','  .','',false,227);
insert into ls_document_stage(type,flag,name,short,color,protected,permission,moving)
values(3,7,'','','',true,228,true);

-- 
insert into ls_document_stage(type,flag,name,short,color,protected,permission)
values(4,1,' ','','',false,217);
insert into ls_document_stage(type,flag,name,short,color,protected,dgroup,permission)
values(4,2,'  ','','',false,false,218);
insert into ls_document_stage(type,flag,name,short,color,protected,permission,preserve)
values(4,3,'','','',true,219,false);
insert into ls_document_stage(type,flag,name,short,color,protected,permission,preserve,moving)
values(4,4,' ','','',false,220,true,true);
insert into ls_document_stage(type,flag,name,short,color,protected,dgroup,permission,preserve)
values(4,5,' ','','',true,false,221,false);

insert into ls_document_stage(type,flag,name,short,color,protected,permission,dgroup,moving)
values(5,1,'  ','','',true,230,false,true);

-- 
insert into ls_document_stage(type,flag,name,short,color,protected,dgroup,permission,moving)
values(6,1,'','','',true,true,211,true);
insert into ls_document_stage(type,flag,name,short,color,protected,dgroup,permission,moving)
values(6,1,'',' ','',true,false,229,true);

-- 
insert into ls_document_stage(type,flag,name,short,color,protected,permission,dgroup,moving)
values(7,1,'','','',false,231,true,true);
insert into ls_document_stage(type,flag,name,short,color,protected,permission,dgroup,moving)
values(7,2,'','','',true,232,true,true);
