drop sequence moving_id_seq;
drop index moving_id_key;
drop index moving_productdoc_key;
drop table moving;
create table moving
(
    id		serial,
    product	int4,		-- product.id
    isp		character(2),	-- 
    document	int4,		-- document.id
    qty		real,		--  (.)
    qtyp	real,		-- 
    qtyl	real,		--  
    price	real,		-- 
    note	text		-- 
);
COMMENT ON TABLE moving is '  ';
grant select on moving to customer;
create index moving_productdoc_key on moving using btree (product,document);
