drop sequence passwd_id_seq;
drop index passwd_id_key;
drop index passwd_deleted_key;
drop table passwd;
create table passwd
(
    id		serial,
    name	text,
    note	text,
    login	text,
    passwd	text,
--    permission	int4,
    deleted	bool default false
);
COMMENT ON TABLE passwd is '    ';
create index passwd_deleted_key on passwd using btree (deleted bool_ops);
create unique index passwd_lp_key on passwd using btree (login,passwd,deleted);

insert into passwd(name,note,login,passwd)
values('','  ','1','2');
insert into passwd(name,note,login,passwd)
values('','','3','4');
