drop sequence product_id_seq;
drop index product_id_key;
drop index product_deleted_key;
drop table product;
create table product
(
    id		serial,
    class	int4,
    name	text,
    kobm	text,
    measure	int4 default 1,
    standard	bool default true,
    deleted     bool default false,
    form	character(4),
    prim	text

);
COMMENT ON TABLE product is ' ';
create index product_deleted_key on product using btree (deleted bool_ops);
create index product_class_key on product using btree (class int4_ops);
grant select on product to customer;
