drop sequence register_id_seq;
drop index register_id_key;
drop index register_type_key;
drop table register;
create table register
(
    id		serial,
    type	int4,		--   (ls_register)
    insdate	int8,		--  
    product	int4,		-- 
    qty		float4,		-- - (int?)
    document	int4,		--   -
    recipient	int4,		--   (recipient.id)
    operator	int4,		--   (passwd.id)
    target	int4,		--  (ls_target.id)
    isp		character(2)	-- 

--    price	numeric(9,2),	--  ()
--    deleted     bool default false
);
COMMENT ON TABLE register IS ' ';
create index register_type_key on register using btree (type int4_ops);
create index register_product_key on register using btree (product int4_ops);
grant select on register to customer;
