drop index spec_deleted_key;
drop index spec_id_key;
drop table spec;
create table spec
(
    id		int4,			-- product.id - 
    component	int4,			-- product.id - 
    qty		float4,			-- -
    note	text,			-- 
    deleted     bool default false,	-- 
    push	integer,
    pop		integer,
    isp		character(2),		--  
    razdel	integer,		-- 
    ispcom	character(2),		--  
    pos		integer,       		--     
    is_complect bool default false      --  -       ""
                                        --  -    
                                        --  /   
);

COMMENT ON TABLE spec is '';
create index spec_deleted_key on spec using btree (deleted bool_ops);
create index spec_id_key on spec using btree (id int4_ops);
grant select on spec to customer;
