-- $Id: c_stage_route.sql,v 1.3 2002/10/02 17:05:27 cds Exp $
drop sequence stage_route_id_seq;
drop index stage_route_id_key;
drop table stage_route;
create table stage_route
(
    id          serial          --  
   ,type1       int4            --   - (document.type)
   ,flag1       int4            --   (document.flag)
   ,type2       int4            --   - (document.type)
   ,flag2       int4            --   (document.flag)
   ,name        text            --   (  )
   ,permission  int2 unique     --  
   ,dgroup      bool               -- null: , true:   -, false:   "" -
   ,mnumber     bool default false --   - (document.number)
   ,minsdate    bool default false --   
   ,mclosedate  bool default false --   
   ,mclosedate2 bool default false --   2
   ,moperator   bool default false --   
   ,moperator2  bool default true  --   2
   ,mclosed     bool default false --   
   ,mdeleted    bool default false --   
--      protected       bool default true,
--           (  note)
--   ,CONSTRAINT type12_flag12 PRIMARY KEY(type1,flag1,type2,flag2)
);
create index stroute_tyfl_key on stage_route using btree (type1,flag1);

COMMENT ON TABLE stage_route is '       ()';
grant select on stage_route to customer;

-- 
insert into stage_route(type1,flag1,type2,flag2,name,permission,dgroup)
values(1,1,1,2,'   ',101,false); -- . > .
insert into stage_route(type1,flag1,type2,flag2,name,permission,dgroup)
values(1,2,0,0,'',102,false);                  -- . > / 
--insert into stage_route(type1,flag1,type2,flag2,name,permission)
--values(1,2,1,4,' ',103);               -- . > .
insert into stage_route(type1,flag1,type2,flag2,name,permission,mnumber,dgroup,minsdate,moperator)
values(1,4,1,5,'      ',104,true,true,true,true); -- . > 
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(1,5,1,6,'  ',105);           --  > .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(1,5,1,7,'  ',106);               --  >  .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(1,5,1,8,'  ',107);             --  > .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(1,8,1,6,'',108);                      -- . > .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(1,8,1,7,' ',109);                   -- . > .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(1,6,1,9,'   ',110);             -- . > 
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(1,3,6,1,' ',111);                   --  . > .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(1,7,1,5,'  ',113);                  --  . > 

-- 
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(2,0,2,1,'  ',131);             -- . > .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(2,1,2,5,' ',114);              -- . > .

-- 
insert into stage_route(type1,flag1,type2,flag2,name,permission,dgroup)
values(4,1,4,2,' ',133,false);        -- .. > 
insert into stage_route(type1,flag1,type2,flag2,name,permission,mnumber,dgroup,minsdate,moperator)
values(4,2,4,4,' ',134,true,true,true,true); --  > .. 
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(4,2,4,5,'',135);                         --  > ..
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(4,4,4,3,'  ',130);                -- .. > ..

-- 
insert into stage_route(type1,flag1,type2,flag2,name,permission,mnumber)
values(3,1,3,2,'  ',115,true);        -- . > 
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(3,2,3,3,'  ',116);                  --  > 
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(3,2,3,4,'  ',117);               --  >  .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(3,3,3,5,'  ',118);           --  > .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(3,3,3,4,'  ',119);               --  >  .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(3,3,3,6,'  ',120);             --  > .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(3,6,3,5,'',121);                      -- . > .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(3,6,3,4,' ',122);                   -- . >  .
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(3,5,3,7,' ',123);                       -- . > 
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(3,4,3,2,'  ',124);             --  . > 

-- 
--  : 6.1,  .

-- 
insert into stage_route(type1,flag1,type2,flag2,name,permission)
values(7,1,7,2,'  ',132);                -- .. > ..
