drop table docmore;
--drop index docmore_id_key;
create table docmore
(
    id		int4		-- document.id
constraint docmore_id references document (id)
on delete cascade on update cascade ,
    docdef	int4		--   (document.id)
constraint docmore_docdef references document (id)
on delete restrict on update restrict ,
    doczay	int4		--   (document.id)
constraint docmore_doczay references document (id)
on delete restrict on update restrict ,
    register	int4		--  (ls_register.id)
constraint docmore_register references ls_register (id)
on delete restrict on update restrict ,
    passwd	int4		--   (passwd.id)
constraint docmore_passwd references passwd (id)
on delete restrict on update restrict ,
    target	int4		--   (target.id)
constraint docmore_target references ls_target (id)
on delete restrict on update restrict ,
    client	int4		--  (recipient.id)
constraint docmore_recipient references agent (id)
on delete restrict on update restrict
);
--create index docmore_id_key
COMMENT ON TABLE docmore IS '.  (, )';
grant select on docmore to customer;
