drop index presence_product_key;
drop table presence;
create table presence
(
    insdate	int8,			--  
    product	int4 not null,		-- product.id
    isp		character(2),		-- 
    price	numeric(9,2),		-- 
    qty		float4			-- -
--    supplier	int4
);
COMMENT ON TABLE presence is '  ';
CREATE UNIQUE INDEX presence_productisp_key on presence using btree (product, isp);
ALTER TABLE presence add constraint presence_product foreign key(product) references product(id) on delete cascade on update cascade;
ALTER TABLE presence ALTER qty set default 0;
ALTER TABLE presence ALTER price set default 0;
grant select on presence to customer;
