--    --  (, ), 

-- $Id: rulez.sql,v 1.1.0.1 2002/08/18 15:59:06 cds Exp $
-- $Log: rulez.sql,v $
-- Revision 1.1.0.1  2002/08/18 15:59:06  cds
-- packhouse in CVS
--

--   presence

drop function presence_update();
create function presence_update() returns opaque as '
declare
-- prec   record;
begin

 if new.product isnull then
  raise exception ''  '';
 end if;

 if new.product < 0 then
  raise exception ''  (%)     '', new.product;
 end if;

 if new.qty < 0 then
  raise exception '' (%)     '', new.qty;
 end if;

 if new.price < 0 then
  raise exception ''  (%)     '', new.price;
 end if;

 new.insdate := extract(epoch from timestamp ''now'');
 return new;
end;
' language 'plpgsql';

drop trigger presence_update on presence;
create trigger presence_update before update or insert on presence
 for each row execute procedure presence_update();

/* old func body, not operate

 if tg_op = ''UPDATE'' then
--  if count(*) = 0 from presence where product = new.product and isp = new.isp then
  select into prec * from presence where product = new.product and isp = new.isp;
  if not found then
   raise notice ''product=%, qty=%, price=%, isp=%'',
    new.product, new.qty, new.price, new.isp;
   insert into presence(product, qty, price, isp)
    values(new.product, new.qty, new.price, new.isp);
  end if;
 end if;


 if tg_op = ''INSERT'' and new.insdate is not null then

  insert into body(insdate, product, price, qty, qtyr, sum, document, isp)
   values(extract(epoch from timestamp ''now''), new.product, new.price, new.qty,
   NULL, new.qty * new.price::float4,
   (select id from document where type=5 and flag=1), new.isp);

 else if old.qty != new.qty and old.insdate != new.insdate then

  insert into body(insdate, product, price, qty, qtyr, sum, document, isp)
   values(extract(epoch from timestamp ''now''), new.product, new.price, new.qty,
   old.qty, new.qty * new.price::float4,
   (select id from document where type=5 and flag=1), new.isp);

  end if;
 end if;
*/