<?
define('LOG_FILE_NAME','/var/log/pg_error.log');
define('LOG_FILE_MAXSIZE',1024);
define('LOG_ROTATE',true);

//error_reporting(E_ALL);
error_reporting (E_ERROR | E_WARNING | E_PARSE | E_CORE_ERROR | E_COMPILE_ERROR
| E_COMPILE_WARNING | E_USER_ERROR | E_USER_WARNING | E_USER_NOTICE);
// | E_NOTICE | E_CORE_WARNING
set_error_handler('user_log');

function user_log ($errno, $errmsg, $file, $line) {
 //  
 $timestamp = strftime('%y-%m-%d %H:%M',time());

 //    
 $err_str = "$timestamp e:$errno ".basename($file)." l:$line\t$errmsg\n"; 

 //   
 if (file_exists(LOG_FILE_NAME) && is_file(LOG_FILE_NAME) &&
 filesize(LOG_FILE_NAME)>=(LOG_FILE_MAXSIZE*1024)) {
  // ,   _,
  // ""         
  //  -      
  if (LOG_ROTATE===true) {
   $i=1;
   //    
   while (is_file(LOG_FILE_NAME.'.'.$i)) { $i++; }
   $i--;
   //         1
   while ($i>0) {
    rename(LOG_FILE_NAME.'.'.$i, LOG_FILE_NAME.
    '.'.(1+$i--));
   }
   rename (LOG_FILE_NAME, LOG_FILE_NAME.'.1');
   touch(LOG_FILE_NAME);
  }
  elseif(is_file(LOG_FILE_NAME)) {
   //   ,  
   //    
   unlink(LOG_FILE_NAME);
   touch(LOG_FILE_NAME);
  }
 }

 /*
     
   -     
   -      
 */
 if (!file_exists(LOG_FILE_NAME)) {
  if (!touch(LOG_FILE_NAME)) {
      return "can\'t create log file";
  }
 }
 elseif(!is_writable(LOG_FILE_NAME)) {
  return "can\'t write to log file";
 }

 if ($errno==2 && (strstr($errmsg,'pg_') || strstr($errmsg,'query failed')))
  echo "<b>   !</b><br>(: "
  .basename($file)." : $line)<br>(: $errmsg)<br>";

 if (error_reporting() & $errno)
  error_log($err_str, 3, LOG_FILE_NAME);
}

?>