<?
// $Id: template.php,v 1.4 2002/09/17 13:48:15 cds Exp $

require_once 'firstofall.php';

$styles[] = "a{ textDecoration: none; }";
$styles[] = "A:link {text-decoration: none; }";
$styles[] = "A:visited {text-decoration: none; }";
$styles[] = "A:hover {text-decoration: underline; }";

$htmlheadmore   = array();
$pageheadmore   = array();
$tablehead      = array();
$tablebody      = array();
$htmlhead       = TRUE;
$pagehead       = TRUE;

function htmlhead() /*FOLD00*/
{
 global $styles, $htmlheadmore, $bodytext, $bodybgcolor, $bodylink, $bodyvlink,
  $bodyalink;

 echo "<!doctype html public \"-//w3c//dtd html 4.0 transitional//en\">\n"
 ."<html>\n"
 ."<head>\n"
 ."<meta name=\"Author\" content=\"Dmitry Chernyakov\">\n"
 ."<style type=\"text/css\">\n"
 ."<!--\n";

 foreach ($styles as $val)
  echo "$val\n";

 echo "-->\n"
 ."</style>\n";

 foreach ($htmlheadmore as $val)
  echo "$val\n";

 echo "</head>\n";
 echo "<body $bodytext $bodybgcolor $bodylink $bodyvlink $bodyalink>\n";
}

function htmlfoot() /*FOLD00*/
{
 echo "</body>\n"
 ."</html>";
}

function pagehead() /*FOLD00*/
{
 global $logofile, $logow, $logoh, $title, $operatorname, $pageheadmore;
?>
<table cellspacing=0 cellpadding=0 border=0 width=100%>
<tr>
<td bgcolor=#ffffff valign=middle align=left rowspan=2>
<a href="indexf.php">
<img src="<?=$logofile?>" width="<?=$logow?>" height="<?=$logoh?>" border="0" alt="  ">
</a>
</td>
<td width=100% bgcolor=#ffffff valign=middle align=left rowspan=2>
<font size=+1>&nbsp; <?=$title?></font>
</td>
<td valign=top bgcolor=#ffffff align=right nowrap>
<font size=-1><?=$operatorname?></font>
</td>
</tr>
<tr>
<td valign=bottom bgcolor=#ffffff align=right nowrap>
<?
 foreach ($pageheadmore as $val)
  echo "$val\n";
?>
<a href="javascript:history.back()"><u></u></a>
</td>
</tr>
</table>
<?
}

// OOPs!
class Htmlo /*FOLD00*/
{
 var $type = 'Undefined';

}

class Form extends Htmlo /*FOLD00*/
{
 var $type = 'Form', $action, $method, $name;
 // $field -    field
 var $field = array();
 // $style -  ,   
 // '<table>' -  HTML,   ,    
 //    ,        
 // '<br>'  -   <br>,   
 // '<pre>' -   \n,     <pre>
 // '<dl>'  -    <DL>
 // $position = 'l' -  ,  ,  
 var $style, $position;
 // $function -  -,     submit
 //       $HTTP_(GET|POST)_VARS
 var $function;

 function Form($function, $name = '', $action = '', $method = "get", $style='<table>', $position='')
 {
  global $PHP_SELF;

  $this->action = $action?$action:$PHP_SELF;
  $this->method = strtolower($method); //    upper?
  $this->name   = $name;
  $this->style  = $style;
  $this->position = strtolower($position);
  $this->function = $function;
 }

 // $lcomment -    , $rcomment - 
 function addfield($type, $name, $value, $comment='', $position='', $attr='')
 {
  if (($position?$position:$this->position)=='l')
   $rcomment = $comment;
  else
   $lcomment = $comment;
  $this->field[] = new Field($type, $name, $value, $lcomment, $attr, $rcomment);
 }

 //  HTML
 function out()
 {
  switch ($this->style) {
   case '<table>':
    echo '<table>';
    break;
   case '<pre>':
    echo '<pre>';
    break;
   case '<dl>':
    echo '<dl>';
    break;
  }

  echo "<form action=$this->action".($this->method?" method=$this->method":'')
  .($this->name?" name=$this->name":'').">\n";
  foreach ($this->field as $v)
   $v->out($this->style);
  echo "</form>\n";

  switch ($this->style) {
   case '<table>':
    echo '</table>';
    break;
   case '<pre>':
    echo '</pre>';
    break;
   case '<dl>':
    echo '</dl>';
    break;
  }
 }
}

//    SQL /////////////////////////////////////////////////
class Dbform extends Form /*FOLD00*/
{
 var $table, $where, $append;
 var $prefield=array();

 // . Form::Form
 function Dbform($function, $name = '', $action = '', $method = "get", $style='<table>', $position='')
 {
  if (!$function)
   $function = '';
  parent::Form($function, $name, $action, $method, $style, $position);
 }

 //      
 function header($table, $where, $append='')
 // 'table' -   
 // 'where' -  x=y and i>j
 // 'append'-   where
 {
  $this->table  = $table;
  $this->where  = $where;
  $this->append = $append;
 }
 
 //   select    
 function dbselect($sql)
 {

 }

 //    "", ""
 function add_upddel()
 {

 }
 
 //      ,   
 function addform($fieldarr)
 //   $fieldarr --   
 // 'field'=>name, 'type'=>input, 'name'=>field, 'attr'=>ibutes, 'sql'=>query
 // 'text'=>comment, 'array'=>choices
 // input: TEXT, AREA, HIDDEN, SELECT, CHECK, RADIO, BUTTON, SUBMIT (html form)
 // query:  SELECT  sql,    - ,  - 
 {
  if (is_array($fieldarr))
   foreach ($fieldarr as $fld)
    if (is_array($fld))
     if (in_array('field', array_keys($fld))) { //  ?
      $this->field[] = '';
      $this->prefield[] = $fld;
     }
 }

 function addone($fld)
 {
  if (in_array('field', array_keys($fld))) {
   $this->field[] = '';
   $this->prefield[] = $fld;
  }
 }

 function Stroke()
 {
  global $debug;
  // !$table -- ?
  foreach ($this->prefield as $n=>$pf) {
    $field[] = $pf['field'];
    $this->prefield[$n]['type'] = strtolower($this->prefield[$n]['type']);
  }

//$debug=3;
  $r = sql("select ".join(',',$field)." from $this->table"
  .($this->where?" where $this->where":'')." $this->append");

  if (num($r)>0) {
   $d = geta($r);

   foreach ($this->prefield as $n=>$pf) {
    $this->field[$n] = new Field($pf['type'],
    ($pf['name']?$pf['name']:$pf['field']),
    ($pf['type']=='select'?($pf['array']?$pf['array']:$pf['sql']):$d[$pf['field']]),
    ($this->position=='l'?'':$pf['text']),
    $pf['attr'],
    ($this->position=='l'?$pf['text']:''));
   }
  } else {
  }
 }

 //  HTML
 function out()
 {
  $this->Stroke();
  parent::out();
 }
}

class Field /*FOLD00*/
{
 var $type, $name, $value, $attr, $text, $prepare, $lcomment, $rcomment;

 function Field($type, $name, $value, $lcomment='', $attr='', $rcomment='')
 // $type = 'checkbox','submit','hidden','button' etc
 //  $type='select', $value      SQL
 {
  $this->type = strtolower($type);
  $this->name = $name;
  $this->value= $value;
  $this->attr = $attr;
  $this->lcomment = $lcomment;
  $this->rcomment = $rcomment;
 }

 function Stroke($style)
 {
  if (!trim($this->type)) {
   $this->text = "<b>Field type is absent!</b>";
   return;
  }
  switch ($this->type) {
   case 'checkbox':
    if ($this->value=='f' || !$this->value) {
     $this->value = '';
    } else {
     $this->value = '';
     $this->attr.= ' checked';
    }
   case 'text':
   case 'submit':
   case 'hidden':
   case 'button':
    $this->text = "<input type=".$this->type
    .($this->name?' name="'.$this->name.'" id='.$this->name:'')
    .($this->value?' value="'.$this->value.'"':'')
    .($this->attr?' '.$this->attr:'')
    .'>';
    break;

   case 'select':
    $this->text = "<select".($this->name?' name="'.$this->name.'" id="'.$this->name.'"':'').">\n";
    if (is_array($this->value)) {
     foreach ($this->value as $k=>$v)
      $this->text.= "<option value=$k>$v\n";
    } else {
     $r = sql($this->value);
     for ($i = 0; $i<num($r); $i++) {
      $d = get($r, $i);
      $this->text.= "<option value=$d[0]>$d[1]\n";
     }
    }
    $this->text.= "</select>\n";
    break;
  }
 // . Form::style

  if ($this->type!='hidden')
   switch ($style) {
    case '<table>':
     $pref = '<td>';	$postf = '</td>';
     $prel = '<tr>';     $postl = "</tr>\n";
     break;
    case '<br>':
     $pref = '';         $postf = ' ';
     $prel = '';         $postl = "<br>\n";
     break;
    case '<pre>':
     $pref = '';         $postf = ' ';
     $prel = '';         $postl = "\n";
     break;
    case '<dl>':
 /*    $pref = '';       $postf = '';
     $prel = '';         $postl = "\n";*/
     break;
   }

  $this->text = $prel.$pref.($this->lcomment?"<label for=$this->name>$this->lcomment</label>":'').$postf.$pref
  .$this->text.$postf.$pref.($this->rcomment?"<label for=$this->name>$this->rcomment</label>":'').$postl;
 }

 //  HTML
 function out($style)
 {
  $this->Stroke($style);
  echo $this->text;
 }
}

class Table extends Htmlo /*FOLD00*/
{
 var $type = 'Table', $tablehead = array(), $tablebody = array();
 var $tabatt = array(border=>'1', cellspacing=>'3', cellpadding=>'0');
 var $cellatt;

 function Table($tabatt='', $cellatt='')
 {
  if ($tabatt)
   $this->tabatt = $tabatt;
  if ($cellatt)
   $this->cellatt = $cellatt;
 }

 function sethead($stringarr='')
 {
  if ($stringarr)
   $this->tablehead = $stringarr;
 }

 function setbody($stringarrarr='')
 {
  if ($stringarrarr)
   $this->tablebody = $stringarrarr;
 }

 //  HTML
 function out()
 {
  if ($this->tablehead || $this->tablebody) {
   echo "<table";
   foreach ($this->tabatt as $key=>$val)
    echo " $key=$val";
   echo ">";

   if ($this->tablehead) {
    echo "<tr>\n";
    foreach ($this->tablehead as $val)
     echo "<td><b>$val</td>\n";
    echo "</tr>\n";
   }
 
   if ($this->tablebody) {
    foreach ($this->tablebody as $arr) {
     echo "<tr>\n";
     foreach ($arr as $val)
      echo "<td>$val</td>\n";
     echo "</tr>\n";
    }
   }

   echo "</table>\n";
  }
 }
}


//  

function drawpage($object) /*FOLD00*/
{
 global $tablehead, $tablebody;

 if ($htmlhead) htmlhead();
 if ($pagehead) {
  echo "<table cellspacing=0 cellpadding=0 border=1 width=100%><tr><td>";
  pagehead();
  echo "</td></tr><tr><td align=center bgcolor=#ffffff>\n";
 }

 if ($bodyhead) echo $bodyhead;

 if ($object)
  if (is_array($object)) {
   foreach ($object as $val)
    $val->out();
  } else {
   $object->out();
  }

 if ($bodyfoot) echo $bodyfoot;

 if ($pagehead) echo "</td></tr></table>\n";
 if ($htmlhead) htmlfoot();
}
 /*FOLD00*/
//  (public) -
//   ,    
function process($page) /*FOLD00*/
{
 global $HTTP_GET_VARS, $HTTP_POST_VARS;

 $proc = 0;
 foreach ($page as $p)
  if ($p->type=='Form') {
   $form = 'HTTP_'.strtoupper($p->method).'_VARS';

   foreach ($p->field as $f)
    if (${$form}[$f->name]) {
     $proc = $p;
     break;
    }
  }

  if ($proc) {
   if ($proc->function)
    $f = $proc->function;
    $f($$form);
  } else {
   drawpage($page);
  }

//print_r(get_object_vars($page[0]));
}
?>